<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Fine extends Model
{
    protected $table = 'fines';
    protected $fillable = ['vehicle_id', 'firestore_doc_id', 'folio', 'authority', 'fiscal_year', 'base_amount', 'infraction_type'];

    // Una multa pertenece a un vehículo
    public function vehicle()
    {
        return $this->belongsTo(Vehicle::class);
    }
}